package id

import (
	"testing"
)

func TestParse(t *testing.T) {
	var logicId uint64 = 1010203
	s, err := Parse(logicId)
	if err != nil {
		t.Errorf("failed")
		return
	}
	if s.cataId != 1 {
		t.Errorf("cataId=%d", s.cataId)
	}
	t.Logf("%v.%v.%v.%v", s.funcId, s.cataId, s.subId, s.instId)

	s, err = Parse(1000010203)
	if err == nil {
		t.Errorf("error")
	}
	if s != nil {
		t.Errorf("error2")
	}

}
